## st-settings

st-settings — functions for getting streamtuner settings.

## Synopsis

    const char* st_settings_get_private_dir     (void);
    char*       st_settings_get_music_dir       (void);

## Description

## Details

### st_settings_get_private_dir ()

    const char* st_settings_get_private_dir     (void);

Gets the streamtuner private directory (the value passed to the -d command line argument, or ~/.streamtuner).

Returns : | the private directory.

### st_settings_get_music_dir ()

    char*       st_settings_get_music_dir       (void);

Gets the streamtuner music directory, which can be set by the user from the preferences.

Returns : | the music directory, or `NULL` if unset. The returned string must be freed when no longer needed.